DOM::CSSUnknownRule Class Reference

`#include <css_rule.h>`

Inheritance diagram for DOM::CSSUnknownRule:

## Public Member Functions

| CSSUnknownRule (const CSSUnknownRule &other)
| CSSUnknownRule (const CSSRule &other)
| CSSUnknownRule (CSSUnknownRuleImpl *impl)
CSSUnknownRule & | operator= (const CSSUnknownRule &other)
CSSUnknownRule & | operator= (const CSSRule &other)
Public Member Functions inherited from DOM::CSSRule
| CSSRule (const CSSRule &other)
| CSSRule (CSSRuleImpl *impl)
CSSRule & | operator= (const CSSRule &other)
unsigned short | type () const
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
CSSStyleSheet | parentStyleSheet () const
CSSRule | parentRule () const
CSSRuleImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSRule
enum | RuleType { UNKNOWN_RULE = 0, STYLE_RULE = 1, CHARSET_RULE = 2, IMPORT_RULE = 3, MEDIA_RULE = 4, FONT_FACE_RULE = 5, PAGE_RULE = 6, QUIRKS_RULE = 100 }
Protected Member Functions inherited from DOM::CSSRule
void | assignOther (const CSSRule &other, RuleType thisType)
Protected Attributes inherited from DOM::CSSRule
CSSRuleImpl * | impl

## Detailed Description

The `CSSUnkownRule` interface represents an at-rule not supported by this user agent.

Definition at line 461 of file css_rule.h.

The documentation for this class was generated from the following files:

- css_rule.h
- css_rule.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys